This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248984 - /usr/bin/rarian-sk-get-cl crashes on login
/usr/bin/rarian-sk-get-cl crashes on login
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rarian (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
:
Depends On:
Blocks: 1420851
  Show dependency treegraph
 
Reported: 2015-07-31 05:24 EDT by Siteshwar Vashisht
Modified: 2017-07-01 19:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Do-not-call-strcmp-with-NULL-parameter-in-scan_direc.patch (1.09 KB, patch)
2015-07-31 06:00 EDT, Siteshwar Vashisht
no flags Details | Diff

  None (edit)
Description Siteshwar Vashisht 2015-07-31 05:24:55 EDT
Description of problem:
/usr/bin/rarian-sk-get-cl crashes on login

Version-Release number of selected component (if applicable):
rarian-compat-0.8.1-11.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login to the system through gdm

Actual results:
/usr/bin/rarian-sk-get-cl crashes.

Expected results:
/usr/bin/rarian-sk-get-cl should not crash.

Additional info:

(gdb) bt
#0  0x00007f6540b89c41 in scan_directory (dir=dir@entry=0xe66c30 "/usr/share/help/C/gnome-devel-demos/samples/helloWorld") at rarian-main.c:297
#1  0x00007f6540b89ce6 in scan_directory (dir=dir@entry=0xe5e220 "/usr/share/help/C/gnome-devel-demos/samples") at rarian-main.c:306
#2  0x00007f6540b89ce6 in scan_directory (dir=dir@entry=0xe5e0f0 "/usr/share/help/C/gnome-devel-demos") at rarian-main.c:306
#3  0x00007f6540b89ce6 in scan_directory (dir=dir@entry=0xe66310 "/usr/share/help/C") at rarian-main.c:306
#4  0x00007f6540b89ce6 in scan_directory (dir=dir@entry=0xe5e290 "/usr/share/help") at rarian-main.c:306
#5  0x00007f6540b89fb1 in scan_directories () at rarian-main.c:237
#6  0x000000000040533d in main (argc=<optimized out>, argv=0x7ffd615a2298) at rarian-sk-get-cl.cpp:216

(gdb) frame 0
#0  0x00007f6540b89c41 in scan_directory (dir=dir@entry=0xe66c30 "/usr/share/help/C/gnome-devel-demos/samples/helloWorld") at rarian-main.c:297
297               if (!strcmp (suffix, ".document")) {
(gdb) l
292
293             if (S_ISREG(buf.st_mode)) {
294               char *suffix = NULL;
295               
296               suffix = strrchr (full_name, '.');
297               if (!strcmp (suffix, ".document")) {
298                 process_file (full_name);
299               } else if (!strcmp (suffix, ".section")) {
300                 process_section (full_name);
301               }

(gdb) p suffix
$1 = 0x0
Comment 1 Siteshwar Vashisht 2015-07-31 06:00:17 EDT
Created attachment 1058007 [details]
0001-Do-not-call-strcmp-with-NULL-parameter-in-scan_direc.patch

Note You need to log in before you can comment on or make changes to this bug.